com.sun.ts.lib.porting

## Interface TSURLInterface

- All Known Implementing Classes:
    TSURL

      public interface TSURLInterface

  An implementation of the TSURLInterface is to be used for Java EE TCK testing. TS tests use this interface to obtain the URL String to use to access a given web component. If a given Java EE Server implmentation requires that URLs be created in a different manner, then this implementation can be replaced.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRequest(java.lang.String request)` This method is called by TS tests to get the request to use to access a given web component.
    `java.net.URL` | `getURL(java.lang.String protocol, java.lang.String host, int port, java.lang.String file)` This method is called by TS tests to get the URL to use to access a given web component.
    `java.lang.String` | `getURLString(java.lang.String protocol, java.lang.String host, int port, java.lang.String file)` This method is called by TS tests to get the URL to use to access a given web component.

- - ### Method Detail

    - #### getURL

          java.net.URL getURL(java.lang.String protocol,
                              java.lang.String host,
                              int port,
                              java.lang.String file)
                       throws java.net.MalformedURLException

      This method is called by TS tests to get the URL to use to access a given web component.
      Parameters:
        `protocol` - - the name of the protocol.
        `host` - - the name of the host.
        `port` - - the port number.
        `file` - - the host file.
      Returns:
        a valid URL object.
      Throws:
        `java.net.MalformedURLException`

    - #### getURLString

          java.lang.String getURLString(java.lang.String protocol,
                                        java.lang.String host,
                                        int port,
                                        java.lang.String file)

      This method is called by TS tests to get the URL to use to access a given web component.
      Parameters:
        `protocol` - - the name of the protocol.
        `host` - - the name of the host.
        `port` - - the port number.
        `file` - - the host file.
      Returns:
        a valid URL as a String.

    - #### getRequest

          java.lang.String getRequest(java.lang.String request)

      This method is called by TS tests to get the request to use to access a given web component.
      Parameters:
        `request` - - the request file.
      Returns:
        a valid String object.